package jsftest;

import javax.faces.context.FacesContext;
import javax.faces.lifecycle.ApplicationHandler;
import javax.faces.event.FacesEvent;

import javax.servlet.ServletContext;

public class JSFTestApplicationHandler implements ApplicationHandler  {

    public boolean processEvent( FacesContext fc, FacesEvent fe )  {
        if ( !(fe instanceof FormEvent) )  return false;
        String treeId = fc.getRequestTree().getTreeId();
        String commandName = ((FormEvent)fe).getCommandName();
        if ( treeId.equals("/test00.jsp") )  {
            if ( commandName.equals( "output_text" ) )    treeId = "/test01.jsp";
            if ( commandName.equals( "form_text" ) )      treeId = "/test02.jsp";
            if ( commandName.equals( "form_select" ) )    treeId = "/test03.jsp";
            if ( commandName.equals( "form_validate" ) )  treeId = "/test04.jsp";
            if ( commandName.equals( "hyperlink" ) )      treeId = "/test05.jsp";
            if ( commandName.equals( "apphandle" ) )      treeId = "/test06.jsp";
            TreeFactory treeFactory =
                (TreeFactory)FactoryFinder.getFactory( FactoryFinder.TREE_FACTORY );
            fc.setResponseTree(
                treeFactory.getTree( fc.getServletContext(), treeId ) );
            return false;
        } else
        if ( treeId.equals("/test06.jsp") )  {
            Test06AlignBean alignBean = 
                (Test06AlignBean)fc.getHttpSession().getAttribute("alignBean");
            alignBean.setName( commandName );
            if ( commandName.equals("left") )    alignBean.setDispName( "" );
            else
            if ( commandName.equals("center") )  alignBean.setDispName( "" );
            else
            if ( commandName.equals("right") )   alignBean.setDispName( "E" );
            return true;
        }
        return true;
    }

}